ddd (1:3.3.12-5.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + ddd-doc: Add Multi-Arch: foreign.

  [ Chris Lamb ]
  * Make the build reproducible. (Closes: #834016)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 17 Nov 2022 12:13:34 -0800

ddd (1:3.3.12-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Only modify manpage in arch builds (Closes: #981969)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Feb 2021 22:05:37 +0100

ddd (1:3.3.12-5.2) unstable; urgency=medium

  [ Sophie Brun ]
  * Non-maintainer upload.
  * Add a patch to fix gcc9 build (Closes: #925666)

  [ Raphaël Hertzog ]
  * Add Vcs-* headers for the new git repository on salsa
  * Switch packaging to modern debhelper (get rid of CDBS)
  * Fix path of documentation in doc-base
  * Add Recommends on sensible-utils for /etc/X11/app-defaults/Ddd and
    /usr/share/ddd/ddd/Ddd
  * Drop leading "The" on short description
  * Update FSF address in debian/copyright
  * Don't install empty directories
  * Drop old-menu entry as we have a .desktop entry

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 03 Oct 2019 14:13:39 +0200

ddd (1:3.3.12-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Build-depends against libelf-dev instead of libelfg0-dev,
    the later doesn't seem to be maintained anymore. (Closes: #803758)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 Nov 2015 12:31:12 +0100

ddd (1:3.3.12-5) unstable; urgency=low

  * Switch from lesstif to motif.  Closes: #714657.
  * Use dh-autoreconf instead of the previous hand-rolled version.
  * Remove old ddd-doc.preinst which was for upgrading from older versions
    than what's in oldstable.

 -- Daniel Schepler <schepler@debian.org>  Sat, 06 Jul 2013 12:50:28 -0700

ddd (1:3.3.12-4) unstable; urgency=low

  * Remove broken ICE_MOTIF_DIALOGS_OWN_SELECTION_LIST configure test,
    which caused the configure process to thrash the swap and hang.
    Closes: #682627.

 -- Daniel Schepler <schepler@debian.org>  Tue, 21 Aug 2012 19:10:20 -0700

ddd (1:3.3.12-3) unstable; urgency=low

  * Add -ltinfo to the search path for termcap libraries.  Closes: #646170.
  * Add Build-Depends on info and texinfo.
  * Remove libxp-dev from Build-Depends, and force configure script not to
    search for it.  Closes: #623640.
  * Add -Wl,--as-needed to LDFLAGS, to get rid of useless direct linking
    against SM, ICE, Xpm, Xext libraries.

 -- Daniel Schepler <schepler@debian.org>  Sat, 03 Dec 2011 09:59:21 -0800

ddd (1:3.3.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix machine code window view (Closes: #597328)

 -- Wookey <wookey@debian.org>  Fri, 08 Jul 2011 17:29:38 +0100

ddd (1:3.3.12-2) unstable; urgency=low

  * Drop versioned lpr Build-Depends and instead force LPR=lpr in the
    configure script's environment. This will hopefully allow ddd to build
    on kfreebsd-* and migrate into testing, addressing #595849.
  * Do the same for other utilities not actually used at build time other
    than to fill out the app-defaults file.
  * Update to 3.0 (quilt) source format.
  * Install icon referenced by ddd.desktop.  Closes: #592983.

 -- Daniel Schepler <schepler@debian.org>  Sat, 11 Sep 2010 11:28:06 -0700

ddd (1:3.3.12-1) unstable; urgency=low

  * New upstream release.  Closes: #555511.  Thanks to giagimari@libero.it
    for pointing out that upstream had moved.
    + Includes new .desktop file.  Closes: #513640.
  * Put version on lpr Build-Depends to make sure providing package
    doesn't result in wrong command in app-default file.
  * Adjust Build-Depends for readline 6 transition.  Closes: #553746.
  * Fix build error with g++-4.4.  Closes: #504868.
  * Minor improvement to package description, thanks to Reuben Thomas.
    Closes: #460139.

 -- Daniel Schepler <schepler@debian.org>  Tue, 10 Nov 2009 14:01:10 -0800

ddd (1:3.3.11-1) unstable; urgency=low

  * New upstream release.
  * Rebuild using g++-4.0.
  * Drop obsolete Build-Depends on g++ and libstdc++5-3.3-dev.
    Closes: #300216.
  * Remove Suggests on bashdb, which no longer exists.  Closes: #294631.
  * New patch 003_data_path.diff: change default data directory to
    /usr/share/ddd, with /usr/share/ddd-$(VERSION) as an alternate,
    instead of the other way around.
  * New patch 004_userinfo.diff: add --with-userinfo option to configure
    to make it easier to override the autodetection.
  * Update to Standards-Version 3.6.2 (no changes needed).

 -- Daniel Schepler <schepler@debian.org>  Sun, 10 Jul 2005 02:24:07 -0700

ddd (1:3.3.9-3) unstable; urgency=low

  * USERINFO has been renamed to USERINFO.txt; adjust debian/rules code
    to match, to get correct information on the About DDD dialog.

 -- Daniel Schepler <schepler@debian.org>  Thu, 22 Jul 2004 03:49:37 -0700

ddd (1:3.3.9-2) unstable; urgency=low

  * Rebuild against libstdc++5-3.3-dev 1:3.3.4-5 to get dynamic
    linking against -lstdc++.

 -- Daniel Schepler <schepler@debian.org>  Wed, 21 Jul 2004 17:03:59 -0700

ddd (1:3.3.9-1) unstable; urgency=low

  * New upstream release.
    + Fixes build with gcc-3.4.  Closes: #258613.
    + Drops requirement for libiberty.  Remove Build-Depends on
      binutils-dev.
  * Remove debian/watch file, since the Sourceforge download mirrors
    no longer seem to support listing directories.
  * Split changes to source code into debian/patches/.
    + Remove ddd/Makefile.in install-info patch, which has been resolved
      upstream.

 -- Daniel Schepler <schepler@debian.org>  Wed, 21 Jul 2004 00:17:24 -0700

ddd (1:3.3.8-2) unstable; urgency=low

  * Fix NEWS symlink.  Closes: #241601.
    Post-sarge, I'm planning to sanify the package to use /usr/share/ddd
    instead of e.g. /usr/share/ddd-3.3.8, which should eliminate the
    necessity to keep updating the ddd.links file.
  * Add debian/ddd.info, to make sure that dh_installinfo creates
    postinst snippets for the info pages.  Closes: #245712.
  * Adjust versioning of debhelper build dependency to ensure we get
    the fix for bug #246301.
  * Remove xlibs-dev build dependency in accordance with the xfree86
    lib package split.  The dependencies of libxaw7-dev and lesstif2-dev
    suffice.

 -- Daniel Schepler <schepler@debian.org>  Wed, 28 Apr 2004 16:55:43 -0700

ddd (1:3.3.8-1) unstable; urgency=low

  * New upstream release.  Closes: #213895.
  * Fix debian/rules to work with recent versions of cdbs.

 -- Daniel Schepler <schepler@debian.org>  Fri, 13 Feb 2004 19:31:31 -0800

ddd (1:3.3.7-2) unstable; urgency=low

  * Fix ddd/Makefile.in not to call recent versions of Debian's
    install-info, even if it's in the builder's path.  Closes: #218937.
  * Add Suggests: bashdb now that it's available.
  * Add Build-Depends on rsh-client and lpr to ensure they show up in the
    app-defaults file; also add them to ddd's Suggests.
  * Change the app-defaults to invoke sensible-editor by default.
  * Update to Standards-Version 3.6.1 (no changes required).

 -- Daniel Schepler <schepler@debian.org>  Sun,  9 Nov 2003 04:17:33 -0800

ddd (1:3.3.7-1) unstable; urgency=low

  * New upstream release.
  * Switch to cdbs.
  * Bump to Standards-Version 3.5.10.
  * Move docs to /usr/share/doc/ddd-doc.
  * Fix builtin displays in show.C.  Closes: #189534.
  * That said, don't build in NEWS anyway; instead, let it install to
    /usr/share/ddd-* and create a link from /usr/share/doc/ddd.

 -- Daniel Schepler <schepler@debian.org>  Sun, 15 Jun 2003 06:05:31 -0700

ddd (1:3.3.5-1) unstable; urgency=low

  * New upstream release from www.sourceforge.net/projects/bashdb.
    Thanks to R. Bernstein <rocky@panix.com> for his work on this
    version.  Closes: #183165, #184152.
  * Make ddd-doc depend on ddd, to ensure /usr/share/doc/ddd-doc/copyright
    and changelog.Debian.gz are accessible.  Closes: #186662.
  * Standards-Version 3.5.9.

 -- Daniel Schepler <schepler@debian.org>  Wed, 16 Apr 2003 23:47:05 -0700

ddd (1:3.3.1-21) unstable; urgency=low

  * Disable -Werror for a quick 'n dirty way to get it to compile
    with g++-3.2.  Also work around a couple missed declarations.
    Closes: #175752.
    
    I plan to eventually port ddd to use the standard C++ classes in
    place of the container classes copied from libg++.  Fixing ddd
    to compile without warnings will require at least using the standard
    string class in any case, since ddd uses string iostreams.
  
  * Build against lesstif2.  Closes: #143905, #174590.

 -- Daniel Schepler <schepler@debian.org>  Thu,  9 Jan 2003 15:57:47 -0800

ddd (1:3.3.1-20) unstable; urgency=low

  * Me is stupid...  Move libelfg0-dev from B-D-Indep to Build-Depends.
    Closes: #173048.
  * Pass --foreign to automake since ChangeLog is missing.

 -- Daniel Schepler <schepler@debian.org>  Wed, 18 Dec 2002 15:07:54 -0500

ddd (1:3.3.1-19) unstable; urgency=low

  * Argh, build-arch and build don't work as advertised in policy.
    So for now, make debian/rules build skip the build-indep part.
    (Closes: #168023)

 -- Daniel Schepler <schepler@debian.org>  Fri,  8 Nov 2002 10:24:41 -0800

ddd (1:3.3.1-18) unstable; urgency=low

  * New maintainer.  (Closes: #165575)
  * Updated to policy 3.5.7.
  * Updated autoconf/automake files to work with newer versions.
  * Updated vsl-gramma.Y to work with newer versions of bison.
  * Split off Build-Depends for building docs to Build-Depends-Indep.
  * Updated for debhelper v4.

 -- Daniel Schepler <schepler@debian.org>  Tue,  5 Nov 2002 21:16:19 -0800

ddd (1:3.3.1-17) unstable; urgency=low

  * Added missing backslash that caused configure not to get all the arguments
    it was intended to get. Thanks Herbert Xu. (Closes: #158954)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 31 Aug 2002 09:59:59 +0200

ddd (1:3.3.1-16) unstable; urgency=low

  * Changed the build dependency on "autoconf" to "autoconf2.13" as things 
    break with the current autoconf in sid. (Closes: #157156)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 18 Aug 2002 22:27:32 +0200

ddd (1:3.3.1-15) unstable; urgency=low

  * doc-base entries for the "info" format need an "Index:" as well.
    Thanks Robert Luberda <robert@debian.org>. (Closes: #149542)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 10 Jun 2002 19:24:14 +0200

ddd (1:3.3.1-14) unstable; urgency=high

  * The 'praise be to pbuilder' release.
  * Added Build-Depends: tetex-extra (tetex-bin doesn't depend on tetex-extra,
    but PDF generation fails without it) so that building with pbuilder, and
    presumably on the buildds as well, works. (Closes: #142060)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 20 Apr 2002 16:30:46 +0200

ddd (1:3.3.1-13) unstable; urgency=high

  * Added Build-Depends: gs as epstopdf needs it to work, but tetex-bin, the 
    package containing epstopdf, lacks a Depends: gs. This should put the 
    buildds back on the road to happiness. (Closes: #141678)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  9 Apr 2002 18:15:36 +0200

ddd (1:3.3.1-12) unstable; urgency=medium

  * Reworked source package; updated README.Debian.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  8 Apr 2002 18:52:24 +0200

ddd (1:3.3.1-11) unstable; urgency=medium

  * Now that we build the documentation Build-Depends: netpbm is needed as
    well (Closes: #140652).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 31 Mar 2002 12:58:29 +0200

ddd (1:3.3.1-10) unstable; urgency=medium

  * Switched to CVS source. Upstream CVS hasn't been touched in a long time;
    the changes are primarily bug fixes and code cleanup.
  * [ddd/acinclude.m4] Identify as 3.3.1 as there is no 3.3.2 yet.
  * Applied patch by Arnaud Desitter <arnaud.desitter@nag.co.uk>
    (http://mail.gnu.org/pipermail/ddd/2002-March/001694.html) to fix
    some memory leaks, clean up code and add more documentation.
  * Verified that dialogs are no longer irritatingly mangled by repetetive
    text. (Closes: #128426).
  * [ddd/Ddd.in.m4] Added more browsers.
  * Configure with CXX="g++ -DIGNORED_YYSTYPE=int" to prevent the build from
    breaking due to conflicting types for "vslstype" between vsl-gramma.Y and
    vsl-gramma.h .
  * Removed bison- and flex-generated files from source.
  * Build-Depends: sharutils for uudecode to work around dpkg-source not being
    able to handle binaries like the splash screen xcf.
  * Build-Depends: transfig, tetex-bin, imagemagick to build the documentation.
  * Added themes documentation; included documentation in PDF rather than
    PostScript where available.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 29 Mar 2002 20:42:43 +0100

ddd (1:3.3.1-9) unstable; urgency=low

  * [debian/rules] Call libtoolize to update libtool-related files. 
    (Closes: #133375)
  * [ddd/Makefile.am] Use debian/changelog to construct USERINFO.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 11 Feb 2002 19:47:27 +0100

ddd (1:3.3.1-8) unstable; urgency=medium

  * [ddd/configure.in] Disable -Werror on ia64 as it causes the build to 
    break on
    ../../ddd/ddd.C: In function `void BlinkCB (void *, XtIntervalId *)':
    ../../ddd/ddd.C:5350: warning: cast to pointer from integer of different 
    size

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 10 Nov 2001 00:57:24 +0100

ddd (1:3.3.1-7) unstable; urgency=low

  * As Daniel Jacobowitz noted, it's libelfg0-dev, not libelf0g-dev :-(

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  4 Nov 2001 20:39:05 +0100

ddd (1:3.3.1-6) unstable; urgency=low

  * Corrected powerpc architecture specification for libelf0g-dev build
    dependency. (Closes: #117784)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 31 Oct 2001 20:15:11 +0100

ddd (1:3.3.1-5) unstable; urgency=low

  * [configure.in, ddd/configure.in, libiberty/configure.in] Implemented 
    handling of DEB_BUILD_OPTIONS.
  * Use libelf to recognise PPC files only on PPC: (Closes: #87829)
    * [ddd/filetype.C] Check for defined(__powerpc__) on all 
      #ifdef HAVE_LIBELF_H blocks.
    * [debian/rules] Use __powerpc__ definedness to set an appropriate value
      for LIBELF and pass it down to make.
    * [debian/control] Added build dependency on libelfg0-dev on PowerPC.
  * [debian/control] Other build dependencies updates:
    * libxaw-dev is now a virtual package; depend on libxaw7-dev instead.
    * Really removed dependency on libxpm4-dev which is provided by xlibs-dev.
    * Added groff-base.
    * Added libtool, automake and autoconf, as we use a modified configure.in .
  * [debian/control] Updated package dependencies:
    * xcontrib -> xbase-clients (for xfontsel)
    * Removed suggestion of groff as it is no longer needed to display the
      documentation.
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 28 Oct 2001 23:22:09 +0100

ddd (1:3.3.1-4) unstable; urgency=low

  * Really removed /usr/include from the explicit include path.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 26 Jul 2001 20:28:57 +0200

ddd (1:3.3.1-3) unstable; urgency=low

  * Changes to work on HPPA, thanks to Matthew Wilcox. (Closes: #104612)
    * [ddd/logplayer.C] include system header <fstream.h> before local
      includes.
    * Newer gcc versions appear to dislike having /usr/include in the 
      regular include path, so don't explicitly specify /usr/include as the 
      location for readline headers.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 17 Jul 2001 21:57:09 +0200


ddd (1:3.3.1-2) unstable; urgency=low

  * Removed Build-Depends on libxpm4-dev which is provided by xlibs-dev
    nowadays. (Closes: #100834)
  * [ddd/ddd.man.in] Removed reference to x@ddd@ which is not relevant on
    Debian systems. (Closes: #99519)
  * The DDD package Recommends: gdb (>= 5.0) as per upstream INSTALL. While
    it does work with older versions of gdb, this is not recommended, and
    the dependencies reflect this. (Closes: #99947)
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  1 Jul 2001 12:00:39 +0200

ddd (1:3.3.1-1) unstable; urgency=low

  * Oops... I messed up the version number. *sigh*
  * This upstream release fixes the perl problems. (Closes: #65010)
  * Reported problems with font selection and UI behaviour appear to be 
    unreproducable. (Closes: #58880, #64265, #64283).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 12 May 2001 20:29:38 +0200

ddd (3.3.3-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  8 May 2001 21:19:24 +0200

ddd (3.3-4) unstable; urgency=low

  * Moved 'ddd-doc' to the 'doc' section, and made it recommand a PDF _or_
    a PS viewer. (Closes: #94847)
  * Applied patches from Gordon Sadler <gbsadler1@lcisp.com> to fix a pydb
    issue and do without an extra copy of the GPL. (Closes: #87834)
  * ddd/show.C does not support external compressed files, so we still 
    include NEWS in the binary.
  * ddd/rxscan.C: disabled declaration of isatty that's broken for g++ 3.0.
  * ddd/strclass.C: fixed type of new_state from int to ios::iostate so it
    works with g++ 3.0.
  * Fixed problems noted by lintian: marked app-defaults as conffile and
    removed INSTALL from the package. 
  * Removed dh_testversion from rules, as there's an appropriate
    build-dependency already.
  * Verified that DDD compiles (but doesn't yet link) with gcc 3.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  5 May 2001 19:37:59 +0200

ddd (3.3-3) unstable; urgency=low

  * Build dependency on texinfo rather than info. (Closes: #86956).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 24 Feb 2001 12:01:04 +0100

ddd (3.3-2) unstable; urgency=low

  * Apparently configure fails if flex is not installed, even though it may
    not be needed at all. Added a build dependency on it for now, and
    informed upstream. (Closes: #85330).
  * Rebuilt against latest lesstif packages, as per INSTALL's recommendation.
  * Upped recommended gdb version to 5.0 as per INSTALL.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 10 Feb 2001 14:43:22 +0100

ddd (3.3-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  5 Feb 2001 19:47:44 +0100

ddd (3.2.98-1) unstable; urgency=low

  * New upstream beta.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 20 Jan 2001 20:21:26 +0100

ddd (3.2.95-1) unstable; urgency=low

  * New upstream beta.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 14 Jan 2001 13:02:39 +0100

ddd (3.2.93-1) unstable; urgency=low

  * New upstream beta.
  * Added menu hints. (Closes: #810148).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 21 Dec 2000 19:44:27 +0100

ddd (3.2.92-2) unstable; urgency=low

  * Added info to build dependencies. (Closes: #79507).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 17 Dec 2000 15:43:50 +0100

ddd (3.2.92-1) unstable; urgency=low

  * New upstream beta of the forthcoming 3.3 release.
  * [ddd/ddd.texi] Changed dircategory from Miscellaneous to the more
    appropriate Development. (Closes: #76987, #70435)
  * Install app-defaults in /etc/X11/app-defaults for XFree 4. (Closes: #77904)
  * Changed build dependencies to reflect new names (libxpm4-dev, xlibs-dev,
    xaw-dev); added versioned debhelper dependency.
  * Removed unnecessary Suggests: of the internal perl debugger.
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 10 Dec 2000 19:14:13 +0100

ddd (3.2.1-3) frozen unstable; urgency=medium

  * Added bison to build dependencies. (Closes: #59897).
  * Don't ignore compilation errors during build, which resulted in bad
    packages built by autobuilders. (Closes: #59753)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  2 Apr 2000 19:44:24 +0200

ddd (3.2.1-2) frozen unstable; urgency=medium

  * Reinstated menu file that accidentally got dropped, following a report
    on debian-user, which I'd class as Severity: important.
  * Added m4 to build dependencies. (fixes #58622)
  * Fixed installation of info files.
  * Cleaned up source diff.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  2 Mar 2000 19:30:15 +0100

ddd (3.2.1-1) frozen unstable; urgency=medium

  * Upstream bugfix release: minor bug fixes and major LessTif bug
    workarounds.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 17 Feb 2000 22:31:16 +0100

ddd (3.2-1) frozen unstable; urgency=medium

  * Regular release version (only minor code changes from 3.1.99). 
    Built against up to date ncurses, readline, Lesstif and X libraries.
  * Fixed installation of info documentation.
  * Added Build-Depends and updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 30 Jan 2000 16:56:36 +0100

ddd (3.1.99-1) unstable; urgency=low

  * New upstream beta. Most likely, this will be the final prerelease for
    3.2 .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 22 Dec 1999 19:18:04 +0100

ddd (3.1.90-2) unstable; urgency=low

  * Make the documentation package recommend a PDF or PS viewer. 

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  2 Nov 1999 19:49:24 +0100

ddd (3.1.90-1) unstable; urgency=low

  * New upstream beta.
  * Added missing parts of libiberty, as reported on the DDD mailing list.
  * Moved PDF and PS versions of the reference manual into a package of
    their own.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 29 Oct 1999 19:24:21 +0200

ddd (3.1.6-3) unstable; urgency=low

  * Rebuilt with new LessTif packages. 
  * Downgraded relationship to gdb to "Recommends:" and added "Suggests:"
    for the perl and Python debuggers.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 16 Oct 1999 15:11:54 +0200

ddd (3.1.6-2) unstable; urgency=low

  * FHS migration. 

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 11 Sep 1999 16:34:26 +0200

ddd (3.1.6-1) unstable; urgency=low

  * New upstream release.
  * -fpermissive removed as is no longer needed to compile DDD with gcc 2.95.
    (Fixes: Bug#42768)

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 10 Aug 1999 22:05:44 +0200

ddd (3.1.5-4) unstable; urgency=low

  * Recompiled to update libstdc++ dependencies and to get tighter LessTif
    dependencies. 
  * Use -fpermissive flag to compile with gcc 2.95.
  * Disabled workaround for gcc bug on PowerPC, which is probably no longer
    necessary.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat,  7 Aug 1999 14:39:56 +0200

ddd (3.1.5-3) unstable; urgency=low

  * Remove builddir prior to trying to create it. (Fixes: bug#41354) 
  * Fixed duplicate manpages [debhelper doesn't do FHS yet. *sigh*]. 
    (Fixes: bug#39803)
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 17 Jul 1999 14:44:49 +0200

ddd (3.1.5-2) unstable; urgency=low

  * Recompiled against new xlib6g, to get tighter xlib6g dependency.
    Several users, including myself, experienced repeatable coredumps of
    DDD whose backtrace pointed to glibc internal functions (esp.
    vfprintf-related ones) with a pre-3.3.3.1 xlib6g installed; these
    coredumps were fixed by upgrading to a 3.3.3.1 xlib6g.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 29 May 1999 12:25:45 +0200

ddd (3.1.5-1) unstable; urgency=low

  * New upstream version; includes glibc2.1 support.
  * [ddd/TTYAgent.C] Fixed glibc version check logic.
  * [ddd/TTYAgent.C] Split HAVE_STREAMS into HAVE_UNIX98PTYS and
    HAVE_STREAMS_IMPLEMENTATION.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 17 May 1999 18:45:56 +0200

ddd (3.1.4-3) unstable; urgency=low

  * Fixed SNAFU in doc-base support.
  * FHS migration: manual in /usr/share/man.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 11 Apr 1999 15:35:29 +0200

ddd (3.1.4-2) unstable; urgency=low

  * Really added doc-base support. 

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 10 Apr 1999 19:35:17 +0200

ddd (3.1.4-1) unstable; urgency=low

  * New upstream maintenance release.
  * [PROBLEMS] Updated "Linux" note.
  * [ddd/TTYAgent.C] New code for glibc 2.1 style pty support was broken.
    * Fixed glibc 2.1 pty support, as a special case of UNIX98 pty support.
  * [ddd/Makefile.in] Added $(TEMPLATE_OBJECTS) to the rule for ttytest, as
    it needs StringA.o .
  * Added doc-base support.
  * No longer installs in /usr/X11R6. The developers' majority opinion seems
    to be that /usr/X11R6 is for the X Window System proper, not for general
    applications that require X.
  * [debian/README.debian] Minor improvements in wording.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 10 Apr 1999 15:00:27 +0200

ddd (3.1.3-2) unstable; urgency=low

  * Rebuilt on potato.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu, 25 Mar 1999 08:49:55 +0100

ddd (3.1.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu,  7 Jan 1999 18:09:35 +0100

ddd (3.1.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * libc6-doc is now named glibc-doc; updated the Suggest: dependency.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 29 Dec 1998 15:55:52 +0100

ddd (3.1.1-1) unstable; urgency=low

  * New upstream minor bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon,  7 Dec 1998 18:36:42 +0100

ddd (3.1-1) unstable; urgency=low

  * New upstream release. Technically, this is 3.1pre1, but the only reason
    for that is that it isn't tested with a non-gcc C++ compiler.
  * Include NEWS file again. It's also included in the DDD binary,
    but the ANNOUNCE file refers to it as a file.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue,  1 Dec 1998 18:42:11 +0100

ddd (3.0.92-1) unstable; urgency=low

  * Third beta for DDD 3.1.
  * Previous upload was rejected (wrong version number caused it not to
    include the new upstream source).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 23 Nov 1998 20:24:34 +0100

ddd (3.0.91-1) unstable; urgency=low

  * Second beta for DDD 3.1.
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 13 Nov 1998 18:21:24 +0100

ddd (3.0.90-1) unstable; urgency=low

  * First beta for DDD 3.1.
  * Updated Standards-Version.
  * Added Suggests: xterm, as xterm is now in a package of its own.
  * Added Suggests: gnuplot, which DDD now uses to plot array and history
    data.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon,  2 Nov 1998 20:06:40 +0100

ddd (3.0-7) unstable; urgency=low

  * [debian/rules] clean rule wasn't clean enough (Fixes #27152; thanks to
    Roman Hodek for reporting it).
  * Recompiled against ncurses4.
  * [ddd/Ddd.in.m4] Try mozilla and the GNOME help browser before netscape,
    as they are free. (This got lost last time, as ddd/Ddd.in is a generated
    file).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue,  6 Oct 1998 20:25:58 +0200

ddd (3.0-6) unstable; urgency=low

  * [ddd/Ddd.in] Try mozilla and the GNOME help browser before netscape,
    as they are free.
  * [ddd/Makefile.in] Extract builder information from debian/changelog ;
    this was accidentally dropped.
  * [ddd/configure.in] Made disabling features work; forwarded fix upstream.
  * No longer compile the ddd manpage into the ddd binary.
  * Suggests: info, libc-doc (for help on signal), xcontrib (for interactive
    font selection using xfontsel), groff (for the manpage).
  * Per policy, include the application defaults file.
  * No longer compile the application defaults file into the ddd binary.
  * [ddd/Ddd.in.m4] include explanation about the application defaults file.
  * Removed "icon=none" from menu file (lintian).
  * Updated Standards-Version.
  * Use a separate builddir.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 21 Sep 1998 21:34:56 +0200

ddd (3.0-5) unstable; urgency=low

  * Applied upstream patches:
    * pydb-1.01     - support Python debugging through pydb.
    * sgi-tty       - fixes tty handling problem on IRIX 5.3 .

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu,  3 Sep 1998 08:13:36 +0200

ddd (3.0-4) unstable; urgency=low

  * Applied upstream fixes:
    * disp-button   - give `Disp *' button its correct meaning
    * gdb-4-17-args - handle `run again' in GDB 4.17 correctly
    * dbx-warnings  - suppress DBX `-r' option warnings when debugging C
                      programs
  * [ddd/Ddd.in, ddd/ddd.man.in] Per Debian policy, the default editor,
    if XEDITOR and EDITOR are unset, is now "editor" rather than vi.
    (Fixes #24413 for slink).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 24 Aug 1998 13:24:36 +0200

ddd (3.0-3) unstable; urgency=low

  * Rebuild with new LessTif (which fixed endlessly resizing dialogs).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 26 Jun 1998 13:19:42 +0200

ddd (3.0-2) unstable; urgency=low

  * Real DDD 3.0 release (.tar.gz's md5sum changed, so included in this
    upload).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 22 Jun 1998 12:45:37 +0200

ddd (3.0-1) unstable; urgency=low

  * DDD 3.0 release (technically, pre-release, but 3.0 will be identical to
    this).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu, 18 Jun 1998 15:43:03 +0200

ddd (2.99.99-1) unstable; urgency=low

  * New upstream DDD 3.0 beta release (intended to be the final one).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 15 Jun 1998 12:59:05 +0200

ddd (2.99.9-1) unstable; urgency=low

  * New upstream DDD 3.0 beta release.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu, 28 May 1998 17:14:33 +0200

ddd (2.99.1-1) unstable; urgency=low

  * New upstream DDD 3.0 beta release.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu,  7 May 1998 14:29:05 +0200

ddd (2.99-1) unstable; urgency=low

  * New upstream release (first beta release of DDD 3.0).
  * Depends: gdb (>=4.17) (for java support).
  * Updated Standards-Version.
  * Updated description.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed,  6 May 1998 08:40:11 +0200

ddd (2.2.3-3) frozen unstable; urgency=low

  * Recompiled for more up to date lesstif & C++ libs dependencies.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 13 Apr 1998 13:32:34 +0200

ddd (2.2.3-2) unstable; urgency=low

  * Moved manpage (lintian E: ddd:
    manpage-for-x11-binary-in-wrong-directory usr/X11R6/bin/ddd)
  * Recompiled against newer lesstif.
  * Bumped Standards-Version.
  * Various updates to the build process.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 11 Mar 1998 09:07:43 +0100

ddd (2.2.3-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu, 29 Jan 1998 08:40:24 +0100

ddd (2.2.2-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 27 Jan 1998 19:46:34 +0100

ddd (2.2.1-3) unstable; urgency=low

  * Previous upload was rejected; rebuilt including .orig.tar.gz

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 27 Jan 1998 13:29:29 +0100

ddd (2.2.1-2) unstable; urgency=low

  * Back to "unstable", as I've not received new bugreports about
    instabilities.
  * Removed superfluous "Provides: ddd" of "ddd" (#16721)
  * Checked compliance with current policy; no bashisms.
  * Used maintainer name from my PGP user ID.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 20 Jan 1998 12:56:25 +0100

ddd (2.2.1-1) experimental; urgency=low

  * New upstream release. Still in experimental: pressing OK in the settings
    menus causes coredumps.
  * Changed descriptions for the ddd-smotif and ddd-dmotif packages to clear
    up potential confusion (#16103).
  * Switched to debhelper.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu,  1 Jan 1998 14:32:29 +0100

ddd (2.2-1) experimental; urgency=low

  * New upstream release; in experimental as there are still some troubles
    with LessTif.
  * Applied "linux-libc-again" patch.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 26 Nov 1997 13:14:25 +0100

ddd (2.1.98-1) experimental; urgency=low

  * Beta release.
  * Don't install NEWS anymore, as it is now included in the DDD binary.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 10 Nov 1997 21:03:47 +0100

ddd (2.1.1-5) unstable; urgency=low

  * libc6.
  * Pristine source.
  * Upstream fix for tty changes in libc5 > 5.4.33 and libc6 .
  * Install with preserved timestamps.
  * Fixed compiler warnings about sys_errlist.
  * Removed INSTALL from documentation, as it is not relevant for users
    (fixes bug #13198).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 30 Sep 1997 19:59:27 +0200

ddd (2.1.1-4) unstable; urgency=low (high for -3 users)

  * Fixed syntax error in menu file.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 25 Jul 1997 09:23:51 +0200

ddd (2.1.1-3) unstable; urgency=medium (bugfixes)

  * Moved binary to /usr/X11R6/bin.
  * Applied patches
    open-source       - allow changing source files using LessTif 0.79
    normalize-path    - access source files with `../../' in path directly
  * Alexander Yukhimets <aqy6633@is5.nyu.edu> now maintains Motif versions of
    this package (ddd-dmotif and ddd-smotif; both in contrib).
  * Merged Alexander's changes into my source tree; I hope we can get a single
    source tree again.
  * Motif versions in 'contrib/devel' instead of plain 'contrib'.
  * Now uses new menu format.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu, 24 Jul 1997 10:05:31 +0200

ddd (2.1.1-2) unstable; urgency=low

  * Fixed menu problem

 -- Alexander Yukhimets <aqy6633@is5.nyu.edu>  Fri,  4 Jul 1997 16:18:36 -0400

ddd (2.1.1-1) unstable; urgency=low

  * New maintainer for ddd-smotif and ddd-dmotif

 -- Alexander Yukhimets <aqy6633@is5.nyu.edu>  Mon, 23 Jun 1997 00:10:28 -0400

ddd (2.1.1-1) frozen unstable; urgency=medium

  * New upstream release (bugfix only: 2.1 + "lesstif-hacks").
  * Hopefully usable for building with Motif.
    * Can build three packages: ddd, ddd-smotif, ddd-dmotif
    * Building with Motif requires only two variable changes in
    * debian/rules.
    * Building with Motif is untested. Reports appreciated.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon,  2 Jun 1997 17:06:01 +0200

ddd (2.1-3) frozen unstable; urgency=high

  * Applied upstream "lesstif-hacks" patch; hopefully fixes #8381 and #9418.
  * Included announcement for this patch.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 28 May 1997 12:41:20 +0200

ddd (2.1-2) unstable; urgency=low

  * Corrected location of README.DDD-documentation (Bug #10141).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 27 May 1997 13:50:19 +0200

ddd (2.1-1) frozen unstable; urgency=high

  * New upstream release; out of beta.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue,  13 May 1997 09:03:32 +0200

ddd (2.0.9.3-1) frozen unstable; urgency=medium

  * New upstream beta release (2.1beta-3);
    probably last beta release for 2.1, which is now expected in May..

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu, 1 May 1997 09:43:06 +0200

ddd (2.0.9.2-2) unstable; urgency=medium

  * Build using newer lesstif (bug #8381).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 28 Apr 1997 15:01:13 +0200

ddd (2.0.9.2-1) unstable; urgency=medium (major enhancements)

  * Initial release in new source format using debmake; new maintainer.
  * This is ddd2.1beta-2; the 2.1 release is expected in April.
  * The version numbering is changed for dpkg's versions comparisons to be
    correct (1beta2 -> 0.9.2), as per dpkg programmer's manual, Ch. 5
    (version numbering).
  * The beta releases have a builtin expiry date. This is not disabled,
    since the only difference in behaviour between before and after is that
    after the expiry date, a warning about this version being out of date is
    given.
  * Now uses Lesstif; section is now unstable instead of contrib.
    (previous versions were built using commercial Motif implementations,
    and therefore had to go into contrib).
  * Fixes all reported DDD bugs:
    - #3307 "ddd-smotif does not replace ddd": ddd-smotif is now obsolete.
    - #4862 "DDD 2.0 is available",
      #4931 "ddd 2.0 has been released": this is the latest available version.
  * Use Debian maintainer information from changelog, rather than actual
    build-time information for 'ddd --configuration'.

 -- J.H.M. Dassen <jdassen@wi.LeidenUniv.nl>  Sun, 23 Mar 1997 17:25:29 +0100


